Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Message.PROPERTY

    java.lang.Object
      java.lang.Enum<Message.PROPERTY>
          com.skype.api.Message.PROPERTY

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Message.PROPERTY>

Enclosing class:
  Message

    public static enum Message.PROPERTY

extends java.lang.Enum<Message.PROPERTY>

Properties of the Message class

Enum Constant Summary
`author` Identity of the sender.
`author_displayname` displayname of the sender at the time of posting, type: String
`body_xml` Message type-specific parameter , type: String
`consumption_status` type: Message.CONSUMPTION_STATUS
`convo_guid` GUID of the Conversation.
`convo_id` DB ID of corresponding conversation, type: Conversation
`edit_timestamp` UNIX timestamp of last edit, type: int
`edited_by` Identity of the author that last edited this message.
`guid` Unlike the message id, the GUID is the same on all instances and for all participants.
`identities` Message type-specific parameter.
`leavereason` leave reason for message of the RETIRED type, type: Message.LEAVEREASON
`originally_meant_for` This property gets set when a conference is spawned from dialog Conversation.
`param_key` Message type-specific parameter.
`param_value` Message type-specific parameter , type: int
`participant_count` Number of people who received this message (including local user) , type: int
`reason` Message type-specific parameter.
`sending_status` type: Message.SENDING_STATUS
`timestamp` UNIX timestamp (sent time, adjusted for local clock), type: int
`type` type: Message.TYPE

Method Summary
`static Message.PROPERTY` | `fromString(java.lang.String s)`
`static Message.PROPERTY` | `get(int code)`
`int` | `getId()`
`static Message.PROPERTY` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Message.PROPERTY[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### convo_id

    public static final Message.PROPERTY convo_id

  DB ID of corresponding conversation, type: Conversation

### convo_guid

    public static final Message.PROPERTY convo_guid

  GUID of the Conversation. The GUID is a "global ID" - these values are shared accross Skype client instances and accross all the participants of the conversation.
  , type: String

### author

    public static final Message.PROPERTY author

  Identity of the sender. While this is almost always the same as SKYPENAME property of the Contact, in some rare cases it can also be a phone number - for example, incoming voicemail notification Messages (message type = POSTED_VOICE_MESSAGE).
  , type: String

### author_displayname

    public static final Message.PROPERTY author_displayname

  displayname of the sender at the time of posting, type: String

### guid

    public static final Message.PROPERTY guid

  Unlike the message id, the GUID is the same on all instances and for all participants.
  , type: byte[]

### originally_meant_for

    public static final Message.PROPERTY originally_meant_for

  This property gets set when a conference is spawned from dialog Conversation. In that case recent message history from the original dialog is copied to the target conversation. For all the copied messages, the ORIGINALLY_MEANT_FOR property will be set to identity of the remote participant of the original dialog.
  , type: String

### timestamp

    public static final Message.PROPERTY timestamp

  UNIX timestamp (sent time, adjusted for local clock), type: int

### type

    public static final Message.PROPERTY type

  type: Message.TYPE

### sending_status

    public static final Message.PROPERTY sending_status

  type: Message.SENDING_STATUS

### consumption_status

    public static final Message.PROPERTY consumption_status

  type: Message.CONSUMPTION_STATUS

### edited_by

    public static final Message.PROPERTY edited_by

  Identity of the author that last edited this message. NULL if message has not been edited
  , type: String

### edit_timestamp

    public static final Message.PROPERTY edit_timestamp

  UNIX timestamp of last edit, type: int

### param_key

    public static final Message.PROPERTY param_key

  Message type-specific parameter. See Message.SET_METADATA_KEY for more information.
  , type: int

### param_value

    public static final Message.PROPERTY param_value

  Message type-specific parameter
  , type: int

### body_xml

    public static final Message.PROPERTY body_xml

  Message type-specific parameter
  , type: String

### identities

    public static final Message.PROPERTY identities

  Message type-specific parameter. Depending of Message type, this property contains:
  - STARTED_LIVESESSION - list of participants in the cal;
  - ENDED_LIVESESSION - list of participants in the call;
  - POSTED_SMS - list of recipients of the message;
  - SPAWNED_CONFERENCE - the list of identities that were added;
  - ADDED_CONSUMERS - the list of identities that were added;
  - RETIRED_OTHERS - the skypename of the participant who was kicked;
  - SET_RANK - the skypename of the participant whose rank was changed;
  - REQUESTED_AUTH - Message.P_AUTHOR and Message.P_IDENTITIES are set to the users receiving and requesting the authorization, depending if the message was received or sent;
  - GRANTED_AUTH - the skypename of the user we granted authorization;
  - BLOCKED - the skypename of the user who was blocked;
  - HAS_BIRTHDAY - skypename of current logged in user.
  , type: String

### reason

    public static final Message.PROPERTY reason

  Message type-specific parameter. Possible values for STARTED/ENDED_LIVESESSION (only set for dialogs):
  - no_answer
  - manual
  - busy
  - connection_dropped
  - no_skypeout_subscription;
  - insufficient_funds
  - internet_connection_lost
  - skypeout_account_blocked
  - pstn_could_not_connect_to_skype_proxy
  - pstn_invalid_number
  - pstn_number_forbidden
  - pstn_call_timed_out
  - pstn_busy
  - pstn_call_terminated
  - pstn_network_error
  - number_unavailable
  - pstn_call_rejected
  - pstn_misc_error
  - internal_error
  - unable_to_connect
  - connection_dropped
  - recording_failed
  - playback_error
  - legacy_error
  - blocked_by_privacy_settings
  - error
  - transfer_failed
  - transfer_insufficient_funds
  - blocked_by_us
  - emergency_call_denied
  This information is now available as an enum in LEAVEREASON
  , type: String

### leavereason

    public static final Message.PROPERTY leavereason

  leave reason for message of the RETIRED type, type: Message.LEAVEREASON

### participant_count

    public static final Message.PROPERTY participant_count

  Number of people who received this message (including local user)
  , type: int

Method Detail

### values

    public static Message.PROPERTY[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Message.PROPERTY c : Message.PROPERTY.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Message.PROPERTY valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

### get

    public static Message.PROPERTY get(int code)

### fromString

    public static Message.PROPERTY fromString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.